#ifndef COLOR_PANEL_H
#define COLOR_PANEL_H


class ColorStateView;

class ColorPanel:public BView
{
	ColorStateView*	v_color_state;
	BColorControl*	v_color_control;
	BCheckBox*		v_sync;
	BMessenger	target;
public:

	ColorPanel(BPoint, BMessenger);
//	~ColorPanel();
	void 	MessageReceived(BMessage*);
	void	AttachedToWindow();
	void	GetPreferredSize(float*,float*);
};

class SimpleCheckBox:public BCheckBox
{
public:
	SimpleCheckBox(BRect frame, const char*label, BMessage* m)
		: BCheckBox(frame, label, label, m){}
	status_t Invoke(BMessage* m)
	{
		BMessage mm(Message());
		if(m==NULL) m=&mm;
		if(m) m->AddInt32("value", Value());
		return BCheckBox::Invoke(m);
	}
};


#endif
