#ifndef COLOR_STATE_VIEW_H
#define COLOR_STATE_VIEW_H

#include "Prefix.h"


class ColorStateView : public BView, public BInvoker
{
public:
	static const int NUM_COLORS=16;
private:
	rgb_color	colors[NUM_COLORS];	
	int		selection;

public:
	ColorStateView(BPoint loc);
//	~ColorStateView();
	int		Selection(){return selection;}
	void	GetPreferredSize(float*w, float*h);
	void	Draw(BRect rect);
	void	MouseDown(BPoint p);

	void	SetColor(rgb_color color);
	void	SetColor(rgb_color color, int id);
	rgb_color	Color();
	rgb_color	Color(int id);
	const rgb_color* Colors(){return colors;}
};

#endif