#include "RuleControlWindow.h"
#include "RulePanel.h"
#include "MessageConstants.h"


RuleControlWindow::RuleControlWindow(BPoint p, BMessenger& target)
	: BWindow
		( BRect(p.x,p.y,435,129)
		, "Rule"
		, B_TITLED_WINDOW_LOOK 
		, B_NORMAL_WINDOW_FEEL 
//		, B_FLOATING_WINDOW_LOOK
//		, B_FLOATING_APP_WINDOW_FEEL
		, B_NOT_RESIZABLE|B_NOT_ZOOMABLE|B_WILL_ACCEPT_FIRST_CLICK|B_ASYNCHRONOUS_CONTROLS
		)
	, target(target)
{
	rule_panel = new RulePanel(BPoint(0,0), target);
	AddChild(rule_panel);
	rule_panel->MakeFocus();
	BRect r(rule_panel->Frame());
	ResizeTo(r.Width(), r.Height());

	float x,y;
	rule_panel->GetPreferredSize(&x,&y);
	SetSizeLimits(20, x, 20, y);
	SetZoomLimits(x, y);

}

bool RuleControlWindow::QuitRequested()
{
	Minimize(true);
	return false;
}
