#ifndef LIFE_APPLICATION_H
#define LIFE_APPLICATION_H

#include "Prefix.h"


enum
{
	MA_QUIT=B_QUIT_REQUESTED,
	MA_ABOUT=B_ABOUT_REQUESTED,
	MA_OPEN='LaOp',
	MA_NEW ='LaNw',
};

class LifeApplication :public BApplication
{
public:
	static const char*	SIGNATURE;
			LifeApplication();
			~LifeApplication();
	
private:
	void	MessageReceived(BMessage*);
	bool	QuitRequested();
//	void	DispatchMessage(BMessage*, BHandler*);
	void	ReadyToRun();
	void	RefsReceived(BMessage *msg);
	void	AboutRequested();
	
	BLooper*	life_looper;
	BWindow*	control_window;
	BWindow*	rule_control_window;

	BFilePanel* open_panel;
	BRefFilter* ref_filter;
	entry_ref*	ref;
};

#endif