#ifndef PIXEL_MAP_H
#define PIXEL_MAP_H

#include "Prefix.h"

struct PixelMap
{
	void* bits;
	int bits_offset;
	int bits_per_row;
	int width, height;
	int pixel_size;

	PixelMap();
	PixelMap(const PixelMap*);
	PixelMap(void* bits, int bits_offset, int bits_per_row, int width, int height, int pixel_size);

	int		BitsOffset(int x, int y) const;
	int		GetAddress(uint8**, int x=0, int y=0) const;
	int		GetAddress(uint16**, int x=0, int y=0) const;
	int		GetAddress(uint32**, int x=0, int y=0) const;
	int		GetAddress(uint64**, int x=0, int y=0) const;
	
	void	DumpInfo() const;
};


#endif

