#ifndef HEX_RENDERER_F8_H
#define HEX_RENDERER_F8_H

#include "Prefix.h"

#include "HexRenderer.h"

/***********************************************************************************/
class HexRendererF8_1:public HexRenderer
{
public:
	HexRendererF8_1();
private:
	void	ColorModelChanged();
	void	render_even(void*, void*, int, int);
	void	render_odd(void*, void*, int, int);
	
	uint32	data1[256];
	uint32	data2[256];
};

/***********************************************************************************/
class HexRendererF8_2:public HexRenderer
{
public:
	HexRendererF8_2();
private:
	void	ColorModelChanged();
	void	render_even(void*, void*, int, int);
	void	render_odd(void*, void*, int, int);
	
	uint32	data[256];
//	uint32	dataH[256];
};

/***********************************************************************************/
class HexRendererF8_4:public HexRenderer
{
public:
	HexRendererF8_4();
private:
	void	ColorModelChanged();
	void	render_even(void*, void*, int, int);
	void	render_odd(void*, void*, int, int);
	
	uint32	data1[256];
	uint32	data2[256];
};

/***********************************************************************************/
class HexRendererF8_8:public HexRenderer
{
public:
	HexRendererF8_8();
private:
	void	ColorModelChanged();
	void	render_even(void*, void*, int, int);
	void	render_odd(void*, void*, int, int);
	
	uint64	data[16];
};


#endif