#ifndef RENDERER_I_H
#define RENDERER_I_H

#include "Prefix.h"

#include "Renderer.h"

class RenderRowFunction;
class LifeRenderer: public Renderer
{
public:
	LifeRenderer(RenderRowFunction* even, RenderRowFunction* odd=NULL);
	virtual ~LifeRenderer();
	void Render(const PixelMap*	source_map, PixelMap* dest_map);
	
	void SetFunctions(RenderRowFunction* even, RenderRowFunction* odd=NULL);

protected:
	LifeRenderer();
	RenderRowFunction* even_func, *odd_func;
};

#endif
