#include "HexRule.h"


uint32
ArithmeticRule(hex_rule rule)
{
	uint32 born(0), live(0);

	for(int i =0;i<13;i++)
	{
		if(rule&1)			live^=ARITHMETIC_MAP[i];
		if(rule&0x10000)	born^=ARITHMETIC_MAP[i];
		rule>>=1;
	}
	return (born<<16)|live;
}


hex_rule
AlternateRule(hex_rule rule)
{	
	uint32 born(0x1fff), live(0x1fff);

	for(int i =0;i<13;i++)
	{
		if(rule&1)			live^=ALTER_MAP[i];
		if(rule&0x10000)	born^=ALTER_MAP[i];
		rule>>=1;
	}
	return born|(live<<16);
}

bool CanFlash(hex_rule rule)
{
	return ((rule>>16)&nA0)&& !(rule&nA6);
}

