#ifndef RENDER_ROW_FUNCTIONS_H
#define RENDER_ROW_FUNCTIONS_H

#include "Prefix.h"

typedef uint32 UNIT;
//typedef void (*render_row_func)(const UNIT* source, int bits_offset, void* dest, int num_dots, int bits_per_row);

class RenderRowFunction
{
public:
	int	source_pixel_size;
	int dest_pixel_size;
	int scale_x, scale_y;

	RenderRowFunction(int s, int d, int x, int y):
		source_pixel_size(s),dest_pixel_size(d),scale_x(x),scale_y(y){}

	virtual void operator()(const UNIT* source, int bits_offset, void* dest, int num_dots, int bits_per_row)=0;
};


#endif
/****************************************************************************************************/
