#ifndef _RENDERER_H_
#define _RENDERER_H_

#include "Prefix.h"

class PixelMap;

class Renderer
{
public:
	Renderer(int scale_x, int scale_y);
	virtual ~Renderer();	
	
	virtual void	ColorModelChanged(){};
	virtual void	Render(const PixelMap* source, PixelMap* dest)=0;
	void	operator()	(const PixelMap* source, PixelMap* dest)
		{Render(source,dest);}
	
	virtual int		ScaleX(){return scale_x;}
	virtual int		ScaleY(){return scale_y;}
	
protected:
	int			scale_x, scale_y;
};


#endif