#ifndef LIFE_WINDOW_H
#define LIFE_WINDOW_H

#include "Prefix.h"

#include "LifeScreen.h"


class PixelMap;
class LifeWindow :public LifeScreen
{
public:
	LifeWindow(const BMessenger&);
	~LifeWindow();

	bool	InitCheck();
	void	Show();
	void	Hide();
	void	SyncScreen();
	bool	LockBuffer();
	void	UnlockBuffer();
	PixelMap GetBufferInfo();
	void	EnableBuffer(bool);
private:
	BView*		view;
	BBitmap*	bit_map;
	BLocker*	buffer_locker;
	BHandler*	window_locker;
	bool		buffer_enable;
};


#endif